My Project: dgPolygonSoupDatabaseBuilder::dgPolySoupFilterAllocator Class Reference

My Project

Public Member Functions | List of all members
dgPolygonSoupDatabaseBuilder::dgPolySoupFilterAllocator Class Reference
Inheritance diagram for dgPolygonSoupDatabaseBuilder::dgPolySoupFilterAllocator:

## Public Member Functions

| dgPolySoupFilterAllocator (dgMemoryAllocator *const allocator)
| ~dgPolySoupFilterAllocator ()
dgInt32 | AddFilterFace (dgUnsigned32 count, dgInt32 *const pool)
Public Member Functions inherited from dgPolyhedra
| dgPolyhedra (dgMemoryAllocator *const allocator)
| dgPolyhedra (const dgPolyhedra &polyhedra)
virtual | ~dgPolyhedra ()
virtual void | BeginFace ()
dgEdge * | AddFace (dgInt32 v0, dgInt32 v1, dgInt32 v2)
dgEdge * | AddFace (dgInt32 count, const dgInt32 *const index)
dgEdge * | AddFace (dgInt32 count, const dgInt32 *const index, const dgInt64 *const userdata)
virtual void | EndFace ()
virtual void | DeleteFace (dgEdge *const edge)
dgInt32 | GetFaceCount () const
dgInt32 | GetEdgeCount () const
dgInt32 | GetLastVertexIndex () const
dgInt32 | IncLRU () const
void | SetLRU (dgInt32 lru) const
dgEdge * | FindEdge (dgInt32 v0, dgInt32 v1) const
dgTreeNode * | FindEdgeNode (dgInt32 v0, dgInt32 v1) const
dgEdge * | AddHalfEdge (dgInt32 v0, dgInt32 v1)
void | DeleteEdge (dgEdge *const edge)
void | DeleteEdge (dgInt32 v0, dgInt32 v1)
dgEdge * | ConnectVertex (dgEdge *const e0, dgEdge *const e1)
bool | FlipEdge (dgEdge *const edge)
dgEdge * | SpliteEdge (dgInt32 newIndex, dgEdge *const edge)
dgBigVector | FaceNormal (const dgEdge *const face, const dgFloat64 *const vertex, dgInt32 strideInBytes) const
void | BeginConectedSurface () const
bool | GetConectedSurface (dgPolyhedra &polyhedra) const
void | EndConectedSurface () const
dgObb | CalculateSphere (const dgFloat64 *const vertex, dgInt32 strideInBytes, const dgMatrix *const basis=NULL) const
void | ChangeEdgeIncidentVertex (dgEdge *const edge, dgInt32 newIndex)
void | DeleteDegenerateFaces (const dgFloat64 *const pool, dgInt32 dstStrideInBytes, dgFloat64 minArea)
bool | Optimize (const dgFloat64 *const pool, dgInt32 strideInBytes, dgReportProgress normalizedProgress, void *const reportProgressUserData, dgFloat64 tol, dgInt32 maxFaceCount=1<< 28)
void | Triangulate (const dgFloat64 *const vertex, dgInt32 strideInBytes, dgPolyhedra *const leftOversOut)
void | ConvexPartition (const dgFloat64 *const vertex, dgInt32 strideInBytes, dgPolyhedra *const leftOversOut)
dgEdge * | CollapseEdge (dgEdge *const edge)
void | PolygonizeFace (dgEdge *face, const dgFloat64 *const pool, dgInt32 stride)
Public Member Functions inherited from dgTree< dgEdge, dgEdgeKey >
| dgTree (dgMemoryAllocator *const allocator)
virtual | ~dgTree ()
dgMemoryAllocator * | GetAllocator () const
void | SetAllocator (dgMemoryAllocator *const allocator)
| operator dgInt32 () const
dgInt32 | GetCount () const
dgTreeNode * | GetRoot () const
dgTreeNode * | Minimum () const
dgTreeNode * | Maximum () const
dgTreeNode * | Find (dgEdgeKey key) const
dgTreeNode * | FindGreater (dgEdgeKey key) const
dgTreeNode * | FindGreaterEqual (dgEdgeKey key) const
dgTreeNode * | FindLessEqual (dgEdgeKey key) const
dgTreeNode * | GetNodeFromInfo (dgEdge &info) const
dgTreeNode * | Insert (const dgEdge &element, dgEdgeKey key, bool &elementWasInTree)
dgTreeNode * | Insert (const dgEdge &element, dgEdgeKey key)
dgTreeNode * | Insert (dgTreeNode *const node, dgEdgeKey key)
dgTreeNode * | Replace (dgEdge &element, dgEdgeKey key)
dgTreeNode * | ReplaceKey (dgEdgeKey oldKey, dgEdgeKey newKey)
dgTreeNode * | ReplaceKey (dgTreeNode *const node, dgEdgeKey key)
void | Remove (dgEdgeKey key)
void | Remove (dgTreeNode *const node)
void | RemoveAll ()
void | Unlink (dgTreeNode *const node)
void | SwapInfo (dgTree &tree)
bool | SanityCheck () const

## Constructor & Destructor Documentation

## § dgPolySoupFilterAllocator()

dgPolygonSoupDatabaseBuilder::dgPolySoupFilterAllocator::dgPolySoupFilterAllocator | ( | dgMemoryAllocator *const | allocator | ) |

inline

## § ~dgPolySoupFilterAllocator()

dgPolygonSoupDatabaseBuilder::dgPolySoupFilterAllocator::~dgPolySoupFilterAllocator | ( |  | ) |

inline

## Member Function Documentation

## § AddFilterFace()

dgInt32 dgPolygonSoupDatabaseBuilder::dgPolySoupFilterAllocator::AddFilterFace | ( | dgUnsigned32 | count,
|  | dgInt32 *const | pool
| ) |  |

inline

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/core/dgPolygonSoupBuilder.cpp